Get nodepool minimal data by ID
Retrieve essential data for a specific node pool by ID required for common operations (e.g., workload submission)
Authentication
AuthorizationBearer
Bearer authentication
Path parameters
nodepoolId
The unique id identifying the Node Pool.
Response
ok
id
The NodePool id
name
clusterId
The id of the cluster.
phase
Phase of Node Pool
gpuNetworkAccelerationDetected
Signals to all relevant parties about GPUNetworkAcceleration being detected in some nodepool's nodes
Errors
400
Bad Request Error
404
Not Found Error
503
Service Unavailable Error